Limerence
Agents

List Auth User Agent Chats

List the authenticated user's chats with a specific agent. Excludes share-link and automation sessions. Ordered by createdAt desc.

GET
/agents/{id}/chats

List the authenticated user's chats with a specific agent. Excludes share-link and automation sessions. Ordered by createdAt desc.

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/agents/string/chats"
[
  {
    "activeStreamId": null,
    "agentId": "string",
    "archivedAt": null,
    "automationId": null,
    "chat": null,
    "chatId": "string",
    "createdAt": "string",
    "dashboardId": null,
    "id": "string",
    "messageCount": 0,
    "needsReply": true,
    "pinnedAt": null,
    "shareLinkId": null
  }
]
{
  "cause": {
    "code": "api/invalid-json",
    "detail": "string"
  },
  "message": "The request body is not valid JSON"
}
{
  "cause": {
    "code": "auth/jwt-invalid",
    "detail": "malformed"
  },
  "message": "Token verification failed"
}
{
  "cause": {
    "code": "api/no-active-team",
    "detail": "You must have an active team. Please select a team to continue."
  },
  "message": "No active team"
}
{
  "cause": {
    "code": "api/unsupported-media-type",
    "detail": "GET requests cannot have a content type header"
  },
  "message": "Unsupported Media Type"
}